E1:BSSV BSSV - sqljdbc4.jar vs sqljdbc.jar - "version 1.6 is not supported" and "No suitable driver" error (Java Connector Sample as well)

(Doc ID 1247204.1)

Last updated on AUGUST 01, 2017

Applies to:

JD Edwards EnterpriseOne Tools - Version 8.98 and later
Information in this document applies to any platform.

Goal

I need BSSV on WLS to recognize sqljdbc4.jar.

I am testing BSSV running on WebLogic. The database is SQL Server 2008. Since WLS runs jdk 1.6, we must use sqljdbc4.jar, but it seems that the BSSV server does not recognize this driver.

In the jas log, I get a "No Suitable Driver" error.

When I attempt to use sqljdbc.jar, I get errors that jdk 1.6 requires sqljdbc4.jar.

19 Oct 2010 10:52:48,582 [SEVERE] - [BASE] com.jdedwards.database.base.JDBException: [RETRYABLE_OPERATION_FAILED] Retryable operation failed. com.jdedwards.base.util.RetryException: Java Runtime Environment (JRE) version 1.6 is not supported by this driver. Use the sqljdbc4.jar class library, which provides support for JDBC 4.0.

When using "sqljdbc4.jar", the logs report the following error:

19 Oct 2010 11:02:50,840 [SEVERE] - [BASE] com.jdedwards.database.base.JDBException: [DATABASE_CONNECT_FAILED] Database Connection failed for DataSource System - 900. java.sql.SQLException: No suitable driver found for jdbc:sqlserver://SSSSSSS:1433
java.sql.SQLException: No suitable driver found for jdbc:sqlserver://SSSSSS:1433

 

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms